Bug 459268 - egg info for python-sqlobject
egg info for python-sqlobject
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: python-sqlobject (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 10:51 EDT by Jeffrey Tadlock
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 21:40:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Tadlock 2008-08-15 10:51:21 EDT
Description of problem:

python-sqlobject-0.9.2-1.el5 appears to need to provide egg info to play nicely with TurboGears-1.0.4 that is also in EPEL.  pkg_resources.require() checks for sqlobject fail, though you can import and use sqlobject from a python interactive shell.

It appears fedora versions of python-sqlobject were updated to provide this information for this very reason.

From update log for python-sqlobject-0.9.3-2.fc8:

"Update Information:

SQLObject needs to provide egg-info in order for TG-1.0.4 to work.    I plan on
pushing this to stable pretty quickly.  I'll try to get people to test it ASAP."



Version-Release number of selected component (if applicable):

python-sqlobject-0.9.2-1.el5


How reproducible:

Steps to Reproduce:
1.  install TurboGears which will pull in python-sqlobject
2.  import pkg_resources; pkg_resources.require('sqlobject')
3.  returns the package cannot be found.
  
Actual results:

Package cannot be found, there is not an egg-info directory for sqlobject.

Expected results:

expect pkg_resources.require('sqlobject') to work

Additional info:

Running on CentOS 5.2
Comment 1 Luke Macken 2008-08-27 11:55:39 EDT
I just built python-sqlobject-0.9.7-1.el5, which should fix this issue.  It's currently in the needsign queue, and will be released in the next EPEL push.
Comment 2 Luke Macken 2008-11-10 21:40:01 EST
This was fixed a while ago.

Note You need to log in before you can comment on or make changes to this bug.